#include "configmenu.h"
#include "../../common/themes.h"
#include <enginend/scenes/node2d.h>
int configmenupage=0; // 0 is before the mainpage is showing. aka pause menu/main menu when start game
enginend::group mainpage= enginend::group(
	{
		new enginend::nodes::labeledbutton("video",nullptr,&clienttheme,100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		new enginend::nodes::labeledbutton("sound",nullptr,&clienttheme,100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		new enginend::nodes::labeledbutton("input",nullptr,&clienttheme,100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		
	}
);

enginend::group graphics= enginend::group(
	{
		new enginend::nodes::labeledbutton("fullscreen",nullptr,&clienttheme,100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
	}
);
enginend::group sound= enginend::group(
	{
		
	}
);
enginend::group controls= enginend::group(
	{
		
	}
);